メインコンテンツへスキップ
POST
/
automation
/
v4
/
actions
/
callbacks
/
{callbackId}
/
complete
コールバックを実施
curl --request POST \
  --url https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "outputFields": {},
  "typedOutputs": {},
  "failureReasonType": "<string>",
  "requestContext": {
    "source": "WORKFLOWS",
    "workflowId": 123,
    "actionId": 123
  }
}
'
import requests

url = "https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete"

payload = {
    "outputFields": {},
    "typedOutputs": {},
    "failureReasonType": "<string>",
    "requestContext": {
        "source": "WORKFLOWS",
        "workflowId": 123,
        "actionId": 123
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    outputFields: {},
    typedOutputs: {},
    failureReasonType: '<string>',
    requestContext: {source: 'WORKFLOWS', workflowId: 123, actionId: 123}
  })
};

fetch('https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


This response has no body data.
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

callbackId
string
必須

完了する特定のコールバックの固有ID。

ボディ

application/json
outputFields
object
必須

コールバックに関連付けられた出力フィールドが含まれており、各フィールドはキーと値のペアとして表されます。

typedOutputs
object
必須

コールバックに関連する型指定された出力を保持し、オブジェクトとして構造化されます。

failureReasonType
string

コールバック完了の失敗理由を示します。

requestContext
WORKFLOWS · object

リクエストが行われるコンテキストを指定します。これは、事前に定義された複数のコンテキストのいずれかになります。

レスポンス

最終更新日 2026年4月10日